Foo Labs Xpdf up to 3.0.1 stream.cc readprogressivesof memory corruption

CVSS Meta Temp Score
CVSS is a standardized scoring system to determine possibilities of attacks. The Temp Score considers temporal factors like disclosure, exploit and countermeasures. The unique Meta Score calculates the average score of different sources to provide a normalized scoring system.
Current Exploit Price (≈)
Our analysts are monitoring exploit markets and are in contact with vulnerability brokers. The range indicates the observed or calculated exploit price to be seen on exploit markets. A good indicator to understand the monetary effort required for and the popularity of an attack.
CTI Interest Score
Our Cyber Threat Intelligence team is monitoring different web sites, mailing lists, exploit markets and social media networks. The CTI Interest Score identifies the interest of attackers and the security community for this specific vulnerability in real-time. A high score indicates an elevated risk to be targeted for this vulnerability.
6.0$0-$5k0.00

A vulnerability, which was classified as critical, was found in Foo Labs Xpdf up to 3.0.1 (Document Reader Software). This affects the function dctstream::readprogressivesof of the file stream.cc. The manipulation with an unknown input leads to a memory corruption vulnerability. CWE is classifying the issue as CWE-119. The product performs operations on a memory buffer, but it can read from or write to a memory location that is outside of the intended boundary of the buffer. This is going to have an impact on confidentiality, integrity, and availability. The summary by CVE is:

Multiple heap-based buffer overflows in the (1) DCTStream::readProgressiveSOF and (2) DCTStream::readBaselineSOF functions in the DCT stream parsing code (Stream.cc) in xpdf 3.01 and earlier, as used in products such as (a) Poppler, (b) teTeX, (c) KDE kpdf, (d) pdftohtml, (e) KOffice KWord, (f) CUPS, and (g) libextractor allow user-assisted attackers to cause a denial of service (heap corruption) and possibly execute arbitrary code via a crafted PDF file with an out-of-range number of components (numComps), which is used as an array index.

The weakness was disclosed 12/06/2005 by infamous41md (Website). It is possible to read the advisory at idefense.com. This vulnerability is uniquely identified as CVE-2005-3191 since 10/14/2005. It is possible to initiate the attack remotely. No form of authentication is needed for exploitation. It demands that the victim is doing some kind of user interaction. Technical details of the vulnerability are known, but there is no available exploit.

It is declared as proof-of-concept. The vulnerability scanner Nessus provides a plugin with the ID 20363 (RHEL 4 : kdegraphics (RHSA-2005:868)), which helps to determine the existence of the flaw in a target environment. It is assigned to the family Red Hat Local Security Checks. The commercial vulnerability scanner Qualys is able to test this issue with plugin 117788 (CentOS Security Update for kdegraphics (CESA-2005:868)).

There is no information about possible countermeasures known. It may be suggested to replace the affected object with an alternative product.

The vulnerability is also documented in the databases at X-Force (23444) and Tenable (20363). The entries 27351, 27324, 27885 and 27884 are pretty similar.

Productinfo

Type

Vendor

Name

Version

License

CPE 2.3info

CPE 2.2info

CVSSv4info

VulDB CVSS-B Score: 🔍
VulDB CVSS-BT Score: 🔍
VulDB Vector: 🔍
VulDB Reliability: 🔍

CVSSv3info

VulDB Meta Base Score: 6.3
VulDB Meta Temp Score: 6.0

VulDB Base Score: 6.3
VulDB Temp Score: 6.0
VulDB Vector: 🔍
VulDB Reliability: 🔍

CVSSv2info

AVACAuCIA
💳💳💳💳💳💳
💳💳💳💳💳💳
💳💳💳💳💳💳
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Reliability: 🔍

NVD Base Score: 🔍

Exploitinginfo

Class: Memory corruption
CWE: CWE-119
ATT&CK: Unknown

Local: No
Remote: Yes

Availability: 🔍
Status: Proof-of-Concept

EPSS Score: 🔍
EPSS Percentile: 🔍

Price Prediction: 🔍
Current Price Estimation: 🔍

0-Dayunlockunlockunlockunlock
Todayunlockunlockunlockunlock

Nessus ID: 20363
Nessus Name: RHEL 4 : kdegraphics (RHSA-2005:868)
Nessus File: 🔍
Nessus Risk: 🔍
Nessus Family: 🔍
Nessus Port: 🔍

OpenVAS ID: 56110
OpenVAS Name: Debian Security Advisory DSA 931-1 (xpdf)
OpenVAS File: 🔍
OpenVAS Family: 🔍

Qualys ID: 🔍
Qualys Name: 🔍

Threat Intelligenceinfo

Interest: 🔍
Active Actors: 🔍
Active APT Groups: 🔍

Countermeasuresinfo

Recommended: no mitigation known
Status: 🔍

0-Day Time: 🔍

Timelineinfo

10/14/2005 🔍
12/05/2005 +52 days 🔍
12/05/2005 +0 days 🔍
12/06/2005 +1 days 🔍
12/06/2005 +0 days 🔍
12/06/2005 +0 days 🔍
12/07/2005 +1 days 🔍
12/13/2005 +6 days 🔍
12/30/2005 +17 days 🔍
03/11/2015 +3358 days 🔍
07/06/2021 +2309 days 🔍

Sourcesinfo

Advisory: idefense.com
Researcher: infamous41md
Status: Confirmed
Confirmation: 🔍

CVE: CVE-2005-3191 (🔍)
OVAL: 🔍

X-Force: 23444
SecurityTracker: 1015309 - Xpdf Buffer Overflows in Processing DCT and JPX Streams May Let Remote Users Execute Arbitrary Code
Vulnerability Center: 9950 - Xpdf Buffer Overflow Can Cause DoS and Arbitrary Code Execution via a Crafted PDF File, Critical
SecurityFocus: 15727 - XPDF DCTStream Baseline Remote Heap Buffer Overflow Vulnerability
Secunia: 17908 - KOffice KWord PDF Filter Xpdf Buffer Overflow Vulnerabilities, Moderately Critical
Vupen: ADV-2005-2786

See also: 🔍

Entryinfo

Created: 03/11/2015 11:39 PM
Updated: 07/06/2021 06:49 PM
Changes: 03/11/2015 11:39 PM (67), 06/02/2019 08:57 AM (18), 07/06/2021 06:49 PM (2)
Complete: 🔍

Discussion

No comments yet. Languages: en.

Please log in to comment.

Interested in the pricing of exploits?

See the underground prices here!